Bug 495497 - [G45] crash during resume from RAM; Xorg: i830_batchbuffer.h:78: intel_batch_emit_dword: Assertion `pI830->batch_ptr != ((void *)0)' failed.
[G45] crash during resume from RAM; Xorg: i830_batchbuffer.h:78: intel_batch_...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
: 495562 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 09:43 EDT by Tomasz Torcz
Modified: 2013-04-02 00:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 14:21:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log from crashing session. (59.83 KB, text/plain)
2009-04-13 09:43 EDT, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2009-04-13 09:43:51 EDT
Created attachment 339319 [details]
Xorg.log from crashing session.

Description of problem:
Everytime I suspend to RAM and resume I'm back to GDM login screen. I've straced gnome-session and saw that connection to X server is broken. So next time I've straced Xorg server and during resume it dies because of SIGABRT. Last thing printed by X server is: 
Xorg: i830_batchbuffer.h:78: intel_batch_emit_dword: Assertion `pI830->batch_ptr != ((void *)0)' failed.

Last lines from strace:
8985  13:05:21.082489 setitimer(ITIMER_REAL, {it_interval={0, 20000}, it_value={0, 20000}}, NULL) = 0
8985  13:05:21.082536 setitimer(ITIMER_REAL, {it_interval={0, 0}, it_value={0, 0}}, NULL) = 0
8985  13:05:21.082582 select(256, [1 3 9 51], NULL, NULL, NULL) = 1 (in [51])
8985  13:05:21.082714 setitimer(ITIMER_REAL, {it_interval={0, 20000}, it_value={0, 20000}}, NULL) = 0
8985  13:05:21.085195 read(51, "5\30\4\0\314\1`\4 \0`\4\30\0\30\0\223\4\6\0\315\1`\4\244\10\200\1(\0\0\0\0\1\0\0\1\0\0\0\223\5\4\0\315\1`\4\1\0\0\0\
1\0\0\0\223\4\5\0\316\1`\4\314\1`\4(\0\0\0\0\0\0\0\223\5\4\0\316\1`\4@\0\0\0\0\0\0\0\223\10\t\0\3\353\377\377\315\1`\4\0\0\0\0\316\1`\4\305\3\0\0\0\
0\0\0\0\0\0\0\30\0\30\0\223\7\2\0\316\1`\4\223\7\2\0\315\1`\4%\0\1\0>\30\7\0\314\1`\4\311\1`\4\313\1`\4\0\0\0\0\0\0\0\0\30\0\30\0\223\4\6\0\317\1`\4
\311\1`\4(\0\0\0\200\0\0\0\0\0\0\0\223\5\4\0\317\1`\4@\0\0\0\0\0\0\0005 \4\0\320\1`\4\376\0\0\0\26\0\26\0\223\4\5\0\321\1`\4\320\1`\0048\0\0\0\0\0\0
\0\223\4\5\0\322\1`\4\320\1`\4&\0\0\0\0\0\0\0\213\3\n\0\320\1`\4D\0`\4\0\6@\0\30\3\0\0\26\0\26\0\0\0\0\0 \2\0i@\0`\4\0\0\0\0\223\10\t\0\3\1`\4\321\1
`\4\322\1`\4\317\1`\4\0\0\0\0\0\0\0\0\1\0\1\0\26\0\26\0\223\7\2\0\321\1`\4\223\7\2\0\322\1`\0046\0\2\0\320\1`\4;\3\5\0)\0`\4\0\0\0\0\0\0\0\0\30\0\30
\0>-\7\0\311\1`\4 \0`\4)\0`\4\0\0\0\0\0\0\0\0\30\0\30\0008\0\4\0)\0`\4\0\0\10\0\0\0\0\0\223\7\2\0\312\1`\0046G\2\0\311\1`\4\223\7\2\0\317\1`\4"..., 
4096) = 460
8985  13:05:21.085412 ioctl(8, 0x400c645f, 0x7fff01665720) = 0
8985  13:05:21.085462 ioctl(8, 0x400c645f, 0x7fff01665720) = 0
8985  13:05:21.085521 ioctl(8, 0x40046460, 0x7fff01665740) = 0
8985  13:05:21.085561 ioctl(8, 0x40046460, 0x7fff016657c0) = 0
8985  13:05:21.085611 ioctl(8, 0x400c645f, 0x7fff01665980) = 0
8985  13:05:21.085655 ioctl(8, 0x40046460, 0x7fff016659a0) = 0
8985  13:05:21.085699 ioctl(8, 0x400c645f, 0x7fff01665920) = 0
8985  13:05:21.085739 ioctl(8, 0x400c645f, 0x7fff01665920) = 0
8985  13:05:21.085785 ioctl(8, 0x40046460, 0x7fff01665940) = 0
8985  13:05:21.085826 ioctl(8, 0x40046460, 0x7fff01665940) = 0
8985  13:05:21.085878 ioctl(8, 0x400c645f, 0x7fff01665750) = 0
8985  13:05:21.085927 ioctl(8, 0x40046460, 0x7fff01665770) = 0
8985  13:05:21.085971 ioctl(8, 0x400c645f, 0x7fff01665720) = 0
8985  13:05:21.086010 ioctl(8, 0x400c645f, 0x7fff01665720) = 0
8985  13:05:21.086060 ioctl(8, 0x40046460, 0x7fff01665740) = 0
8985  13:05:21.086102 ioctl(8, 0x40046460, 0x7fff016657c0) = 0
8985  13:05:21.086160 ioctl(8, 0x400c645f, 0x7fff01665920) = 0
8985  13:05:21.086209 ioctl(8, 0x400c645f, 0x7fff01665920) = 0
8985  13:05:21.086253 ioctl(8, 0x40046460, 0x7fff01665940) = 0
8985  13:05:21.086306 ioctl(8, 0x40046460, 0x7fff01665940) = 0
8985  13:05:21.086346 writev(26, [{"e\3\237\232\3\0\200\1L\0\0\1l\277f\2\0\0\0\0\240\5\30\0\0\0\0\0\240\5\30\0"..., 32}], 1) = 32
8985  13:05:21.086490 read(51, 0x4de8160, 4096) = -1 EAGAIN (Resource temporarily unavailable)
8985  13:05:21.086534 setitimer(ITIMER_REAL, {it_interval={0, 0}, it_value={0, 0}}, NULL) = 0
8985  13:05:21.086584 select(256, [1 3 9 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77], NULL, NULL, NULL) = 23 (in [26 29 41 42 57 58 59 60 61 62 63 64 65 66 67 68 
69 70 71 72 73 74 76])
8985  13:05:21.086686 setitimer(ITIMER_REAL, {it_interval={0, 20000}, it_value={0, 20000}}, NULL) = 0
8985  13:05:21.086736 read(29, "\22\0\n\0\3\0\200\1f\1\0\0\6\0\0\0 \0\0\0\4\0\0\0\0\0\0\0\0\0\0\0\30\0\0\0\0\0\0\0\22\0\22\0\3\0\200\1w\1\0\0\6\0\0\
0 \0\0\0\f\0\0\0\0\0\0\0\0\0\0\0\30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\237\5\0\0\0\0\0\0\0\0\0\0\2\6\4\0%\0\200\1\1\0\0\0\0\0\0\0
\2\0\4\0\260\0\200\1\1\0\0\0\0\0\0\0\f\10\5\0\260\0\200\1\3\0\200\1\255\3\0\0\0\0\0\0\2\0\4\0\260\0\200\1\2\0\0\0\353\354\355\0\2\0\4\0\260\0\200\1\
2\0\0\0\353\354\355\0\2\0\4\0%\0\200\1\1\0\0\0\244\10\200\1\2\10\4\0%\0\200\1\1\0\0\0\0\0\0\0\2\0\4\0\262\0\200\1\1\0\0\0\0\0\0\0\f\0\5\0\262\0\200\
1\3\0\200\1\305\3\0\0\0\0\0\0\2\4\4\0\262\0\200\1\2\0\0\0\353\354\355\0\2\0\4\0\262\0\200\1\2\0\0\0\353\354\355\0\2\0\4\0%\0\200\1\1\0\0\0\244\10\20
0\1\2\0\4\0%\0\200\1\1\0\0\0\0\0\0\0\2\0\4\0\266\0\200\1\1\0\0\0\0\0\0\0\f\10\7\0\266\0\200\1\17\0\200\1\335\3\0\0\0\0\0\0\22\0\0\0\30\0\0\0\2\0\4\0
\266\0\200\1\2\0\0\0\353\354\355\0\2\7\4\0\266\0\200\1\2\0\0\0\353\354\355\0\2\6\4\0%\0\200\1\1\0\0\0\244\10\200\1\2\0\4\0\266\0\200\1\1\0\0\0\0\0\0
\0\f\10\7\0\267\0\200\1\17\0\200\1\0\0\0\0\0\0\0\0\22\0\0\0\30\0\0\0\2F\4\0\266\0\200\1\2\0\0\0\353\354\355\0\f\0\7\0\3\0 \4\17\0\200\1\0\0\0\0\0\0\
0\0\22\0\0\0\30\0\0\0+\0\1\0"..., 4096) = 512
8985  13:05:21.087004 write(2, "Xorg: i830_batchbuffer.h:78: intel_batch_emit_dword: Assertion `pI830->batch_ptr != ((void *)0)' failed.\n"..., 105)
 = 105
8985  13:05:21.087136 rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
8985  13:05:21.087191 tgkill(8985, 8985, SIGABRT) = 0
8985  13:05:21.087653 --- SIGABRT (Aborted) @ 0 (0) ---


I have no xorg.conf, so whatever options are default on F11.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-2.fc11.x86_64
gdm-2.26.0-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.0-19.fc11.x86_64
kernel-devel-2.6.29.1-54.fc11.x86_64


How reproducible:
Always. Each resume after suspend to RAM greets me with GDM screen.

Steps to Reproduce:
1. Suspend to RAM.
2. Open the laptop lid to resume.
3.
  
Actual results:
GDM login screen.

Expected results:
Session as was left.

Additional info:
ThinkPad T400 with intel graphics (G45, Centrino 2).
Bottom of .xsession-errors )with my comments inside):

gnome-session: Fatal IO error 11 (Zasoby chwilowo niedostępne [== resources temporary unavailable]) on X server :0.0.
npviewer.bin: Fatal IO error 104 (Połączenie zerwane przez drugą stronę [== connection closed by peer]) on X server :0.0.
firefox: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
gnome-terminal: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
gnome-screensaver: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
gnome-settings-daemon: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
Ostrzeżenie menedżera okien: Poważny błąd we/wy 104 (Połączenie zerwane przez drugą stronę) na ekranie ":0.0".
gnome-panel: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
nautilus: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
seapplet: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
kerneloops-applet: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
applet.py: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
gnome-volume-control-applet: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
imsettings-applet: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
gpk-update-icon: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
bluetooth-applet: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
nm-applet: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
gnome-power-manager: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
liferea: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
thinkhdaps.py: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 3813 requests (3812 known processed) with 0 events remaining.
XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 3824 requests (3823 known processed) with 0 events remaining.
awn-applet-activation: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
avant-window-navigator: Fatal IO error 11 (Zasoby chwilowo niedostępne) on X server :0.0.
Comment 1 Andrew McNabb 2009-04-21 18:01:41 EDT
I'm having the same symptoms and my Xorg.1.log (from the crashed session) gives a short backtrace and says:

Fatal server error:
Caught signal 11.  Server aborting

Would this be the same problem or a different one?
Comment 2 Adam Williamson 2009-04-21 18:29:45 EDT
*** Bug 495562 has been marked as a duplicate of this bug. ***
Comment 3 Hezekiah M. Carty 2009-04-26 12:16:08 EDT
Is there anything those of us who have this problem can do to help with getting it fixed?
Comment 4 cje 2009-05-07 19:34:36 EDT
this hasn't happened to me for a fair while now.  i get some odd things appearing on the screen on resume (the plymouth screen, some corrupt bits, the password prompt) before it settles to a blank screen.  i press a key and the password prompt appears - all is well.

is this still happening for others?
Comment 5 Hezekiah M. Carty 2009-05-07 19:51:56 EDT
I have not had this happen recently, but I can not be certain if it is fixed as other intel driver bugs crash my system first unfortunately.
Comment 6 Tomasz Torcz 2009-05-10 13:39:46 EDT
Indeed, I just did 4 suspends and resume and 3 of the worked. I got one crash, but when I reported this bug it was crashing everytime.
Comment 7 Bug Zapper 2009-06-09 09:45:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 James 2009-09-02 16:11:02 EDT
Just seen here too, Intel X3100 graphics, same error message seen in the gdm logs.
Comment 10 Matěj Cepl 2009-11-05 13:26:23 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Tomasz Torcz 2009-11-05 14:21:34 EST
This is fixed in current rawhide (which will be Fedora 12 in two weeks). Poor souls experiencing it on F11 should upgrade.

Note You need to log in before you can comment on or make changes to this bug.